Bug 1565585 - $WAYLAND_DISPLAY does not work as advertized
Summary: $WAYLAND_DISPLAY does not work as advertized
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 11:06 UTC by Sami Farin
Modified: 2020-05-08 08:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-08 08:37:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Sami Farin 2018-04-10 11:06:30 UTC
Description of problem:
When user #1 logs into gnome-wayland (sddm), he has wayland-0 in $WAYLAND_DISPLAY.  This corresponds to /run/user/500/wayland-0 socket.

Then, according to wayland-1.15.0 documentation, user #2 should be able to use wayland by setting $WAYLAND_DISPLAY to "/run/user/500/wayland-0".
However, this is not the case.  After user #1 does "su -l luser", xauth is correctly set and without wayland all would just work.  However, with wayland user #2 gets error "Invalid MIT cookie" when attempting to run some
graphical  apps. Setfacl program has been run to give user #2 permissions to read/write /run/user/500/wayland-0 (and access the dir).
Both users have "DISPLAY=:1" and user #2 has the $XAUTHORITY correctly set.

Version-Release number of selected component (if applicable):
wayland 1.15.0
xorg-x11-server-Xwayland-1.19.6-6.fc27.x86_64

How reproducible:

Steps to Reproduce:
1.
2.
3.

Actual results:
Only one user can run graphical apps in the session.

Expected results:
Like with X11 and Android: many different users can run graphical apps.

Additional info:

Comment 1 Ben Cotton 2018-11-27 16:15:41 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-02 20:15:00 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-04-30 22:09:07 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Sami Farin 2020-05-08 08:37:21 UTC
Thanks for caring. It seems to work now.


Note You need to log in before you can comment on or make changes to this bug.